Results 1 to 6 of 6
  1. #1
    Star Lounger
    Join Date
    Jun 2011
    Location
    Nebraska
    Posts
    82
    Thanks
    9
    Thanked 0 Times in 0 Posts

    Question Win7 Pro and .NET Framework 4 Client Profile & Extended

    We just got in 4 pallets of Dell OptiPlex 580s with Win7 Pro OEM. .NET 4 is preinstalled. Knowing very little about .NET, my question is this:

    Do we need to install all prior versions? (My hunch is "no" if our business isn't running anything built specifically for a 'lower' framework.)
    Mike W.
    Location: A Great Plains State

  2. #2
    Super Moderator jwitalka's Avatar
    Join Date
    Dec 2009
    Location
    Minnesota
    Posts
    6,795
    Thanks
    117
    Thanked 799 Times in 720 Posts
    If an app needs a prior version of .NET, it should install it as part of the app install so you shouldn't need to do it yourself.

    Jerry

  3. #3
    Star Lounger
    Join Date
    Jun 2011
    Location
    Nebraska
    Posts
    82
    Thanks
    9
    Thanked 0 Times in 0 Posts
    I didn't know that, thanks.
    Mike W.
    Location: A Great Plains State

  4. #4
    Plutonium Lounger Medico's Avatar
    Join Date
    Dec 2009
    Location
    USA
    Posts
    12,631
    Thanks
    161
    Thanked 936 Times in 856 Posts
    Some people are concerned when they see 2 or 3 or more versions of .net installed. Unfortunately app developers often do not utilize the latest version of .net in their apps, or older apps are using earlier versions and are not updated. Generally in today's modern PC's this does not pose a problem.

    4 pallets of PC's. That is going to be quite a network. Good luck and have fun with Win 7.
    BACKUP...BACKUP...BACKUP
    Have a Great Day! Ted


    Sony Vaio Laptop, 2.53 GHz Duo Core Intel CPU, 8 GB RAM, 320 GB HD
    Win 8 Pro (64 Bit), IE 10 (64 Bit)


    Complete PC Specs: By Speccy

  5. #5
    Administrator
    Join Date
    Jun 2010
    Location
    Portugal
    Posts
    12,519
    Thanks
    152
    Thanked 1,398 Times in 1,221 Posts
    Windows 7 includes .Net 3.5 natively, too. So, unless you will be using very old apps, these two versions (3.5 and 4) should be all you need.

  6. #6
    Star Lounger
    Join Date
    Jun 2011
    Location
    Nebraska
    Posts
    82
    Thanks
    9
    Thanked 0 Times in 0 Posts
    Thanks, guys. That helps.
    Mike W.
    Location: A Great Plains State

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •